Summary:   Python iniparse module
Name:      python-iniparse
Version:   0.5
Release:   5%{?dist}
License:   MIT and Python
URL:       https://github.com/candlepin/python-iniparse
Source0:   %{url}/archive/%{version}/%{name}-%{version}.tar.gz
BuildArch: noarch
BuildRequires: python3-devel python3-test

%description
iniparse is a INI parser for Python which is:

Compatible with ConfigParser: Backward compatible implementations of \
ConfigParser, RawConfigParser, and SafeConfigParser are included that \
are API-compatible with the Python standard library.

Preserves structure of INI files: Order of sections & options, \
indentation, comments, and blank lines are preserved as far as possible \
when data is updated.

More convenient: Values can be accessed using dotted notation \
(cfg.user.name), or using container syntax (cfg['user']['name']).

%package -n python3-iniparse
Summary:        INI parser for Python
Provides: python3-iniparse = %{version}-%{release}

%description -n python3-iniparse
useful for config files that are updated both by users and by programs

%prep
%autosetup
chmod -c -x html/index.html

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
rm -vfr %{buildroot}%{_docdir}/*
%pyproject_save_files iniparse

%check
%tox

%files -n python3-iniparse -f %{pyproject_files}
%doc README.md Changelog html/

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Nov 17 2022 Xun Zhong <victorzhong@tencent.com> - 0.5-1
- Initial build